Bug 1499635 - [3.4]Metrics diagrams only could be displayed for openshift-infra project in web console
Summary: [3.4]Metrics diagrams only could be displayed for openshift-infra project in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.z
Assignee: Ruben Vargas Palma
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1459775 1500644
TreeView+ depends on / blocked
 
Reported: 2017-10-09 07:20 UTC by Junqi Zhao
Modified: 2018-05-10 06:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1500644 (view as bug list)
Environment:
Last Closed: 2017-12-07 07:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
metrics diagrams could be viewed under openshift-infra project (120.89 KB, image/png)
2017-10-09 07:20 UTC, Junqi Zhao
no flags Details
metrics diagrams could not be viewed under other projects (99.54 KB, image/png)
2017-10-09 07:21 UTC, Junqi Zhao
no flags Details
metrics route could be accessed (80.39 KB, image/png)
2017-10-09 07:22 UTC, Junqi Zhao
no flags Details
Deploy metrics 3.4 script (1.47 KB, text/plain)
2017-10-13 06:31 UTC, Junqi Zhao
no flags Details
web console diagnostics, 500 error: Could not determine a namespace id for namespace null (230.02 KB, image/png)
2017-10-13 06:34 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Junqi Zhao 2017-10-09 07:20:34 UTC
Created attachment 1336148 [details]
metrics diagrams could be viewed under openshift-infra project

Description of problem:
Web console, Metrics diagrams(CPU/Memory/Network usage) only could be displayed for openshift-infra project, Metrics diagrams under other projects could not be displayed.
for other projects, it showed "Metrics are not available" error,  when clicked the metrics route, it showed "Metrics Service :STARTED", but it still showed the "Metrics are not available" error when back to web console.

Version-Release number of selected component (if applicable):
# openshift version
openshift v3.4.1.44.26
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0

Images version:
metrics-hawkular-metrics:3.4.1-35
metrics-deployer:v3.4.1.44.26-1
metrics-cassandra:3.4.1-33
metrics-heapster:3.4.1-27

How reproducible:
Always

Steps to Reproduce:
1. Deploye metrics 3.4
2. Create one new project and create one pod, check the metrics diagrams
3.

Actual results:
Metrics diagrams only could be displayed for openshift-infra project in web console

Expected results:
Metrics should be viewed for all projects

Additional info:

Comment 1 Junqi Zhao 2017-10-09 07:21:57 UTC
Created attachment 1336149 [details]
metrics diagrams could not be viewed under other projects

Comment 2 Junqi Zhao 2017-10-09 07:22:57 UTC
Created attachment 1336150 [details]
metrics route could be accessed

Comment 3 Matt Wringe 2017-10-12 19:16:05 UTC
This works for me. 

Can you right click, inspect and go to the network viewer in your browser? That should tell you the real error.

I would also try opening an incognito tab to see if its some weird caching issue.

Comment 4 Matt Wringe 2017-10-12 19:19:45 UTC
There should be nothing in the setup which should allow for origin metrics to work and for the rest of the projects to fail.

I would also check if you have an add blocker installed as that has had issues with older OCP versions.

If you still can reproduce, can you please list exactly how you are install metrics here?

Comment 5 Junqi Zhao 2017-10-13 06:30:10 UTC
Tried with two ways,Metrics diagrams only could be displayed for openshift-infra project:
1. Deploy metrics along with OCP, Jenkins job: https://openshift-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/Launch%20Environment%20Flexy/23716/

2. Deploy metrics by shell script, script see the attached file

Comment 6 Junqi Zhao 2017-10-13 06:31:58 UTC
Created attachment 1338088 [details]
Deploy metrics 3.4 script

Comment 7 Junqi Zhao 2017-10-13 06:34:31 UTC
Created attachment 1338090 [details]
web console diagnostics, 500 error: Could not determine a namespace id for namespace null

Comment 9 Matt Wringe 2017-10-13 12:49:37 UTC
@stefan: We also need this PR to be applied to this: https://github.com/openshift/origin-metrics/commit/bf5a5b99ad15c110ddbe492f1ffc86c780839254#diff-055c992974a33b91b5c3fff3576e9310

Comment 12 Junqi Zhao 2017-10-16 00:29:29 UTC
Tested with metrics-hawkular-metrics:3.4.1-39, Metrics diagrams could be displayed for all projects in web console

Comment 15 errata-xmlrpc 2017-12-07 07:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.